package ex;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import ex.model.Record;

public class Main {

	public static void main(String[] args) {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
				"applicationContext.xml");
		RecordValidator addressValidator = context.getBean("recordValidator",
				RecordValidator.class);
		addressValidator.validate(new Record("12345"));
		addressValidator.validate(new Record("123456"));
	}

}
