package ex;

import java.util.Set;

import javax.validation.ConstraintViolation;
import javax.validation.Validator;

import org.springframework.beans.factory.annotation.Autowired;

import ex.model.Record;

public class RecordValidator {
	
    @Autowired(required=true)
    private Validator validator;
	
	public void validate(Record record) {
		Set<ConstraintViolation<Record>> violations = validator.validate(record);
		String result = (violations.size() > 0) ? "Invalid!" : "Valid.";
		System.out.println("Validating..." + record + "..." + result);
	}

}
